Summary: A remote mail retrieval and forwarding utility.
Name: fetchmail
Version: 6.3.8
Release: 2tr
License: GPL
Group: Trustix Official
URL: http://fetchmail.berlios.de/
Source: http://www.catb.org/~esr/fetchmail/fetchmail-%{version}.tar.bz2
Source1: fetchmail.init
Source2: fetchmailrc.sample
Patch0: fetchmail-CVE-2007-4565.patch
Requires: openssl gettext
BuildRequires: openssl-devel bison flex gettext-devel
BuildRoot: %{_tmppath}/%{name}-root
PreReq: chkconfig
 
%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN, IPv6,
and IPSEC) for retrieval. Then Fetchmail forwards the mail through
SMTP so you can read it through your favorite mail client.

%prep
%setup -q
%patch0 -p1

%build
%configure  --bindir=%{_bindir} \
            --mandir=%{_mandir} \
 	    --enable-fallback=procmail \
	    --disable-nls \
	    --with-ssl \
	    --enable-inet6 
	    				 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/

# Tkinter no more exists. And these go with it.
rm -f $RPM_BUILD_ROOT%{_bindir}/fetchmailconf
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/fetchmailconf.1*

mkdir -p $RPM_BUILD_ROOT%{_initdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/fetchmail

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/fetchmailrc

# Provide a sample for users to add into their home directory
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/
install -m 644 %{SOURCE2} \
        $RPM_BUILD_DIR/%{name}-%{version}/fetchmailrc.sample

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fetchmail
if [ "$1" = "2" ]; then
	/sbin/restart_maybe fetchmail
fi

%preun
if [ "$1" = "0" ]; then
    /etc/init.d/fetchmail stop >&2
    /sbin/chkconfig --del fetchmail
fi

%files
%defattr(-,root,root,0755)
%doc FEATURES README NEWS NOTES *.html FAQ COPYING INSTALL
%doc fetchmailrc.sample
%{_bindir}/fetchmail
%config(noreplace,missingok) %{_sysconfdir}/fetchmailrc
%{_mandir}/man1/*
%{_initdir}/fetchmail
%{_libdir}/python2.3/site-packages/fetchmailconf*
 
%changelog
* Thu Sep 20 2007 Nived Gopalan <nived at trustix dot org> 6.3.8-2tr
- SECURITY Fix: An error exists in fetchmail which allows 
  context-dependent attackers to cause a denial of service (NULL
  dereference and application crash) by refusing certain warning
  messages that are sent over SMTP.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-4565 to this issue.

* Fri May 18 2007 Bipin S <bipin at trustix dot org> 6.3.8-1tr
- New upsteam.
- SECURITY Fix: A weakness has been identified which is caused 
  by an error in the APOP protocol that fails to properly prevent
  MD5 collisions, which could be exploited via man-in-the-middle
  attacks and specially crafted message-IDs to potentially disclose
  the first three characters of passwords.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) 
  has assigned the names CVE-2007-1558 to this issue.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Feb 09 2007 Bipin S <bipin at trustix dot org> 6.3.6-1tr
- New Upstream.
- SECURITY Fix: Fetchmail does not properly enforce TLS and may
  transmit cleartext passwords over unsecured links if certain
  circumstances occur, which allows remote attackers to obtain
  sensitive information via man-in-the-middle (MITM) attacks.
- A vulnerability has been reported in Fetchmail caused due to
  a NULL pointer dereference error when rejecting a message sent
  to an MDA, which could be exploited by attackers to cause a 
  denial of service.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the names CVE-2006-5867 and CVE-2006-5974 to these issues.

* Thu Jun 15 2006 Nived Gopalan <nived at trustix dot org> 6.3.4-1tr
- New Upstream.

* Thu Jan 05 2006 Nived Gopalan <nived at trustix dot org> 6.2.5.5-1tr
- New Upstream.
- SECURITY Fix: A vulnerability has been reported in Fetchmail caused due
  to a null pointer dereferencing error when handling a message without 
  email headers. This can be exploited to crash Fetchmail when the 
  upstream mail server sends a message without headers.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-4348 to this issue.

* Fri Oct 21 2005 Ajith Thampi <ajith at comodo dot com> 6.2.5.2-3tr
- Added PreReq of chkconfig
		
* Tue Aug 02 2005 Ajith Thampi <ajith at comodo dot com> 6.2.5.2-2tr
- Added fetchmail.init (by Olaf Rempel)
- Enabled support for ipv6
- Added a sample fetchmailrc for usage
- Fixed BuildRequires, Bug #1138 
		
* Mon Jul 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 6.2.5.2-1tr
- New Upstream
- Security Fix: Remote code injection vulnerability in fetchmail
- The POP3 code that deals with UIDs (from the UIDL) reads the responses returned 
  by the POP3 server into fixed-size buffers allocated on the stack, without 
  limiting the input length to the buffer size. A compromised or malicious POP3 
  server can thus overrun fetchmail's stack.  This affects POP3 and all of its
  variants, for instance but not limited to APOP

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-2335 to this issue.

* Mon May 30 2005 Bipin <bipin at comodo dot com> 6.2.5-1tr
- New entry into TSL-3.0 official

* Fri May 27 2005 Ajith Thampi <ajith at comodo dot com> 6.2.5-2ta
- Removed the fetchmailconf binary as it is no more needed.
- Added ssl support and fallback to procmail
- placing man pages into mandir as expected
		
* Wed Apr 13 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 6.2.5-1th
- Initial release
